#include <iostream>
#include <stdio.h>
#include<time.h>
int main()
{
    srand(time(0));
  using namespace std;
  int N,K,p[20000],broj,izvuceni=0,ran,provera[20000],j=0;
 cin>>N>>K;
 broj = rand() % N +1 ;
  if (N<2 || N>20000)
    {
    abort();
    }
    else if (K>N || K<1)
    {
        abort();
    }

  for (int i=1;i<=N;i++){
    do {
        if (provera[j] != broj) {
        j++;
        }
        else {
        broj = rand() % N +1 ;
        j=0;
        }
    }while (j<i+1);
    j=0;
    provera[i]=broj;
    p[i] = provera[i];
    }
 for (int i=1;i<=N;i++){
 cout<<p[i]<<" ";
 }
  for (int i=1;i<=N;i++){

        if (p[i]==K)
        {
            if (i==1)
            {
                izvuceni = p[i+1];
                  cout<<"\n"<<izvuceni;
            return 1;
            }
            else if (i==N)
            {
                izvuceni = p[1];
                  cout<<"\n"<<izvuceni;
            return 1 ;
            }
            else
            {
                izvuceni = p[i+1];
            cout<<"\n"<<izvuceni;
         return 1;
            }





        }


  }


}